Market Price Candles

Solana API endpoint for fetching OHLCV candlestick data for a specific Solana market/pool. Returns clean price data from vetted DEX pools and markets.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Fetch OHLCV candlestick data for any Solana market or liquidity pool using this API endpoint. Retrieve clean price data from vetted DEX markets with flexible time resolutions from 1 minute to 1 year, along with pagination and time range filters.

Additional options like gap elimination ensure smooth charting, making this endpoint ideal for building trading charts, analytics tools, and historical price analysis.

Returns OHLCV price data for a specific market or liquidity pool.

Replaces: GET /price/{marketId}/market-ohlcv


Demo for OHLC Candlestick Data API

The free live demo for these endpoints can be found here:

You can visit this link to access and try the demo: https://solana-ohlc-candlestick-data-api.vybenetwork.com

Path Params
string
required

The unique identifier assigned to a specific trading pair or market.

Query Params
string | null
enum

Resolution of the data. Possible values: 1m, 3m, 5m, 15m, 30m, 1h, 2h, 3h, 4h, 1d, 1w, 1mo, 1y. Default is "1m".

int64 | null
≥ 0

Start time of the data to return (unix timestamp)

int64 | null
≥ 0

End time of the data to return (unix timestamp)

int32 | null
≥ 0

Page selection, 0-indexed.

int32 | null
≥ 0

Specifies the maximum number of candles to retrieve within a given resolution. Default is 1000.

boolean

Eliminate gaps between candles by using previous close as next open. Default is true.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json